
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *
from stateimagelibrary import *
import random
from time import *
from rng import *

class Bow1(Gameobject):
    ""
    def __init__(self,xx,yy):
	Gameobject.__init__(self, xx, yy)
        self.w = 50
        self.h = 50
	self.stimlib = Stateimagelibrary()		
        image = pygame.image.load('./pics/bow1-36x36.bmp').convert()
        image.set_colorkey((0,0,255)) 
	self.stimlib.addpicture(image)	
	self.hitpoints = 1000000000
	self.id = "longbow"

    def draw(self, screen, room):
        self.stimlib.draw(screen, self.x+room.relativex,self.y+room.relativey)
	
    def update(self,room,player):
	1

    def pickup(self, player):
        #if self.collidepickup(room, player):
        #room.removeobject(self)
        return 8 # FIX 1 is value for pickupid in Game class

    def collidepickup(self, room, player):
        #print 'keyx=%d keyy=%d playerx=%d playery=%d' % (self.x,self.y,player.x-room.relativex,player.y-room.relativey)
	if (player.x-room.relativex > self.x-self.w  and 
	player.x-room.relativex < self.x+self.w+self.w and
	player.y-room.relativey > self.y and 
	player.y-room.relativey < self.y+self.h):
	    return 3 
	else:
	    return 0 
    
    def collide(self, room, player):
	return 0

    def roll(self):
	return RNG().rollbow()
