
# Copyright (C) Johan Ceuppens 2010 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *

class Movingplatform2(Gameobject):
    "Game object"
    def __init__(self, xx,yy,ww,hh,beginy,endy):
	self.x = xx
        self.y = beginy+10
        self.w = ww#100
        self.h = hh#22
        self.plx = beginy
        self.plx2 = endy
        ## dungeon statue as default picture
        ## self.image = pygame.image.load('./pics/dungeon-statue1-36x36.bmp').convert()
        self.image = pygame.image.load('./pics/movingplatform1-100x22.bmp').convert()
        self.image.set_colorkey((0,0,0)) 
        self.hitpoints = 100000000
        # NOTE : decrease 1 hitpoint with default sword
        self.direction = "down"

    def update(self,room,player):
        1
      
            
    def draw(self, screen, room, player):
        if self.direction == "down":
            self.y += 5
            if self.collidewithplatform(room,player):
                #player.y -= 10
                room.relativey += 10
                room.relativey -= 5
        elif self.direction == "up":     
            self.y -= 5
            if self.collidewithplatform(room,player):
                #player.y -= 10
                room.relativey += 10
                room.relativey += 5

        if self.y < self.plx:
            self.direction = "down"
            self.y += 5
        elif self.y > self.plx2:
            self.direction = "up"
            self.y -= 5
        screen.blit(self.image,(self.x+room.relativex,self.y+room.relativey))
	    
        
    def collidewithplatform(self, room, player):
        #print 'rope x=%d y=%d player x=%d y=%d' % (self.x,self.y,player.x-room.relativex,player.y-room.relativey)
	if (player.x-room.relativex > self.x and 
	player.x-room.relativex < self.x+self.w and 
	player.y-room.relativey > self.y-self.h and
	player.y-room.relativey < self.y):
	    #print "collision with Moving Platform!"
	    return 1 
	else:
	    return 0
    
   
