
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *
from stateimagelibrary import *
import random
from rng import *
from time import *
from math import *
from scorpionred3 import *

class ScorpionRed4(ScorpionRed3):
    "Red Scorpion 4"
    def __init__(self,xx,yy):
	ScorpionRed1.__init__(self, xx, yy)
        self.direction = "right"
	     
    def update(self,room,player):
	self.fall(room,player)

        # activation pixel
        #print 'x=%d y=%d playerx=%d playery=%d' % (self.x,self.y,player.x-room.relativex,player.y-room.relativey)
        if player.x-room.relativex < 2600 and player.y-room.relativey > 300:
            return
	
        if (self.direction == "right"):
            self.x +=4                
        elif (self.direction == "left"):
            self.x -=4


